Package org.apache.struts2.tiles

# Class BuildAutotags

java.lang.Object
org.apache.struts2.tiles.BuildAutotags

public class BuildAutotags extends Object
Helper class for building/generating the classes and resources used in the plugin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildAutotags()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildFreemarker(String outputDir)`
  Builds the Freemarker classes.
  `void`
  `buildJsp(String outputDir)`
  Build JSP tag classes and .tld file.
  `void`
  `buildVelocity(String outputDir)`
  Builds the velocity classes and velocity.properties.
  `static void`
  `main(String[] args)`
  The main method.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildAutotags

    public BuildAutotags()

- ## Method Details

  - ### main

    public static void main(String[] args)
    The main method.
    Parameters:
      `args` - the arguments

  - ### buildJsp

    public void buildJsp(String outputDir)
    Build JSP tag classes and .tld file. To build, change template-suite.xml as required and then run this program. Copy the classes and .tld from the target autotag folder into the packageName location, .tld to src/main/resources/META-INF/tld/tiles-jsp.tld
    Parameters:
      `outputDir` - the output dir

  - ### buildFreemarker

    public void buildFreemarker(String outputDir)
    Builds the Freemarker classes. To build, change template-suite.xml as required and then run this program. Copy the classes from the target autotag folder into the packageName location.
    Parameters:
      `outputDir` - the output dir

  - ### buildVelocity

    public void buildVelocity(String outputDir)
    Builds the velocity classes and velocity.properties. To build, change template-suite.xml as required and then run this program. Copy the classes from the target autotag folder into the packageName location, and velocity.properties to src/main/resources/META-INF/velocity.properties
    Parameters:
      `outputDir` - the output dir